#**********~~~~~~HCE Refresh Script~~~~~~************
#
# Developer: Addvait Jhaveri
#
# Creation Date: 05/03/2022
#
# Description: Refresh script to call refresh api
#              for outbound
#
#****************************************************

#!/bin/bash

printf "\nCalling Refresh API...\n\n"

srsType=$1

#printf "input arg = $srsType \n\n"
apiKey=$(grep apiKey ../conf/application.yml|sed 's/^.*: //')
siteCode=$(grep siteCode ../conf/application.yml|sed 's/^.*: //')

#printf "apiKey = $apiKey"
#printf "\n\n"
#printf "siteCode = $siteCode"
#printf "\n\n"

read_dom () {
    local IFS=\>
    read -d \< ENTITY CONTENT
}

while read_dom; 
do
  str=$ENTITY
  str_arr=($str)
  tag=${str_arr[0]}
  attr=${str_arr[1]}
  protocol=${str_arr[2]}
  if [[ $tag = "Connector" ]] && [[ "$protocol" == *"HTTP/"* ]]; then
      port=`echo "$attr" | cut -d'"' -f 2`
      #printf "port = $port"
      #printf "\n\n"
      break
  fi 
done < ../conf/server.xml

##set curl
curl --location --request GET 'http://localhost:'$port'/rxoutbound/management/refresh' -u $siteCode:$apiKey >> ../logs/hce-refresh.log
echo -en "\n" >> ../logs/outbound-refresh.log

##printf "\n\n"
##printf "\n\nRefresh API call successfull!\n\n"

